# Uses of Interface
waffle.windows.auth.IWindowsAuthProvider

Packages that use IWindowsAuthProvider
Package
Description
waffle.jaas
Waffle JNA JAAS Package.
waffle.servlet
Waffle JNA Servlet Package.
waffle.servlet.spi
Waffle JNA Servlet SPI Package.
waffle.windows.auth.impl
Waffle JNA Windows Authorization Implementation Package.

## Uses of IWindowsAuthProvider in waffle.jaas

Methods in waffle.jaas that return IWindowsAuthProvider
Modifier and Type
Method
Description
`IWindowsAuthProvider`
WindowsLoginModule.`getAuth()`
Windows auth provider.
Methods in waffle.jaas with parameters of type IWindowsAuthProvider
Modifier and Type
Method
Description
`void`
WindowsLoginModule.`setAuth(IWindowsAuthProvider provider)`
Set Windows auth provider.

## Uses of IWindowsAuthProvider in waffle.servlet

Methods in waffle.servlet that return IWindowsAuthProvider
Modifier and Type
Method
Description
`IWindowsAuthProvider`
NegotiateSecurityFilter.`getAuth()`
Windows auth provider.
Methods in waffle.servlet with parameters of type IWindowsAuthProvider
Modifier and Type
Method
Description
`void`
NegotiateSecurityFilter.`setAuth(IWindowsAuthProvider provider)`
Set Windows auth provider.

## Uses of IWindowsAuthProvider in waffle.servlet.spi

Constructors in waffle.servlet.spi with parameters of type IWindowsAuthProvider
Modifier
Constructor
Description
``
`BasicSecurityFilterProvider(IWindowsAuthProvider newAuthProvider)`
Instantiates a new basic security filter provider.
``
`NegotiateSecurityFilterProvider(IWindowsAuthProvider newAuthProvider)`
Instantiates a new negotiate security filter provider.
``
`SecurityFilterProviderCollection(String[] providerNames, IWindowsAuthProvider auth)`
Instantiates a new security filter provider collection.
``
`SecurityFilterProviderCollection(IWindowsAuthProvider auth)`
Instantiates a new security filter provider collection.

## Uses of IWindowsAuthProvider in waffle.windows.auth.impl

Classes in waffle.windows.auth.impl that implement IWindowsAuthProvider
Modifier and Type
Class
Description
`class`
`WindowsAuthProviderImpl`
Windows Auth Provider.